## PopplerMovie PopplerMovie — Movies |

## Functions

const gchar * | poppler_movie_get_filename ()
PopplerMoviePlayMode | poppler_movie_get_play_mode ()
gboolean | poppler_movie_need_poster ()
gboolean | poppler_movie_show_controls ()

## Types and Values

| PopplerMovie
enum | PopplerMoviePlayMode

## Object Hierarchy

        GObject
        ╰── PopplerMovie

## Includes

    #include <poppler.h>

## Description

## Functions

### poppler_movie_get_filename ()

    const gchar *
    poppler_movie_get_filename (PopplerMovie *poppler_movie);

Returns the local filename identifying a self-describing movie file

#### Parameters

poppler_movie | a PopplerMovie |

#### Returns

a local filename, return value is owned by PopplerMovie and should not be freed

Since: 0.14

### poppler_movie_get_play_mode ()

    PopplerMoviePlayMode
    poppler_movie_get_play_mode (PopplerMovie *poppler_movie);

Returns the play mode of `poppler_movie` .

#### Parameters

poppler_movie | a PopplerMovie |

#### Returns

a PopplerMoviePlayMode.

Since: 0.54

### poppler_movie_need_poster ()

    gboolean
    poppler_movie_need_poster (PopplerMovie *poppler_movie);

Returns whether a poster image representing the Movie shall be displayed. The poster image must be retrieved from the movie file.

#### Parameters

poppler_movie | a PopplerMovie |

#### Returns

`TRUE` if move needs a poster image, `FALSE` otherwise

Since: 0.14

### poppler_movie_show_controls ()

    gboolean
    poppler_movie_show_controls (PopplerMovie *poppler_movie);

Returns whether to display a movie controller bar while playing the movie

#### Parameters

poppler_movie | a PopplerMovie |

#### Returns

`TRUE` if controller bar should be displayed, `FALSE` otherwise

Since: 0.14

## Types and Values

### PopplerMovie

    typedef struct _PopplerMovie PopplerMovie;

### enum PopplerMoviePlayMode

Play mode enum values.

#### Members

POPPLER_MOVIE_PLAY_MODE_ONCE | the movie should be played once and controls should be closed at the end. |
POPPLER_MOVIE_PLAY_MODE_OPEN | the movie should be played once, but controls should be left open. |
POPPLER_MOVIE_PLAY_MODE_REPEAT | the movie should be played in loop, until manually stopped. |
POPPLER_MOVIE_PLAY_MODE_PALINDROME | the movie should be played forward and backward, forward and backward, and so forth, until manually stopped. |

Since: 0.54